Board index FlightGear Support Compiling

Base package check failed  Topic is solved

Building FlightGear from source, and in the need for help?

Base package check failed

Postby jam007 » Thu Feb 07, 2013 4:37 pm

I used the script sh download_and_compile.sh to update FG.
After that I get this error when trying to start the program
Base package check failed:
Version 2.11.0 found at: /home/andersm/flightgear/install/fgfs/fgdata
Version 2.9.0 is required.
Please upgrade/downgrade base package and set the path to your fgdata
with --fg-root=path_to_your_fgdata


I then tried sh download_and_compile.sh FGFS UPDATE to see if that helped
Then I noticed these errors in the log;
Code: Select all
download_and_compile.sh FGFS UPDATE
APT_GET_UPDATE=y
DOWNLOAD_PACKAGES=y
COMPILE=y
RECONFIGURE=y
DOWNLOAD=y
JOPTION=
OOPTION=
DEBUG=
***********************************
Ubuntu 12.04
***********************************
PACKAGE INSTALLATION ...  OK
DIRECTORY= /home/andersm/flightgear
***********************************
****************************************
**************** FGFS ******************
****************************************
GIT FROM git://gitorious.org/fg/flightgear.git ...  OK
MAKE FGFS
make 
[  1%] Built target fgjs
[  1%] Built target js_demo
[  6%] Built target yasim
[ 12%] Built target yasim-proptest
[ 29%] Built target JSBSim
[ 30%] Building CXX object src/Main/CMakeFiles/fgfs.dir/__/Canvas/canvas_mgr.cxx.o
/home/andersm/flightgear/fgfs/flightgear/src/Canvas/canvas_mgr.cxx: I medlemsfunktion "void CanvasMgr::handleModelReinit(SGPropertyNode*)":
/home/andersm/flightgear/fgfs/flightgear/src/Canvas/canvas_mgr.cxx:91:9: fel: "class simgear::canvas::Canvas" har ingen medlem med namnet "reloadPlacements"
make[2]: *** [src/Main/CMakeFiles/fgfs.dir/__/Canvas/canvas_mgr.cxx.o] Fel 1
make[1]: *** [src/Main/CMakeFiles/fgfs.dir/all] Fel 2
make: *** [all] Fel 2
INSTALL FGFS
[  1%] Built target fgjs
[  1%] Built target js_demo
[  6%] Built target yasim
[ 12%] Built target yasim-proptest
[ 29%] Built target JSBSim
[ 30%] Building CXX object src/Main/CMakeFiles/fgfs.dir/__/Canvas/canvas_mgr.cxx.o
/home/andersm/flightgear/fgfs/flightgear/src/Canvas/canvas_mgr.cxx: I medlemsfunktion "void CanvasMgr::handleModelReinit(SGPropertyNode*)":
/home/andersm/flightgear/fgfs/flightgear/src/Canvas/canvas_mgr.cxx:91:9: fel: "class simgear::canvas::Canvas" har ingen medlem med namnet "reloadPlacements"
make[2]: *** [src/Main/CMakeFiles/fgfs.dir/__/Canvas/canvas_mgr.cxx.o] Fel 1
make[1]: *** [src/Main/CMakeFiles/fgfs.dir/all] Fel 2
make: *** [all] Fel 2


What do I do?
jam007
 
Posts: 476
Joined: Sun Dec 16, 2012 10:04 am
Location: Uppsala, Sweden
Version: 2017.3.1
OS: Ubuntu 16.04

Re: Base package check failed

Postby Hooray » Thu Feb 07, 2013 6:19 pm

you're obviously using the latest fgdata branch, but a 2.90 binary - to be checked via "git branch" in each repository, use "git fetch && git branch -r" to see remote branches available, check out the matching branch for your binary/fgdata.

Otherwise, if you know what you're doing, you could just as well edit $FG_ROOT/version to read 2.90 instead ...
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 12059
Joined: Tue Mar 25, 2008 8:40 am

Re: Base package check failed

Postby AndersG » Thu Feb 07, 2013 6:26 pm

Hmm.. did you build the "master" branches of SG and FG? They are old (and I don't know why we keep them). The current head of development is in the "next" branches.

/Anders
Callsign: SE-AG
Aircraft (uhm...): Submarine Scout, Zeppelin NT, ZF Navy free balloon, Nordstern, Hindenburg, Short Empire flying-boat, ZNP-K, North Sea class, MTB T21 class, U.S.S. Monitor, MFI-9B, Type UB I submarine, Gokstad ship, Renault FT.
AndersG
 
Posts: 2464
Joined: Wed Nov 29, 2006 9:20 am
Location: Göteborg, Sweden
Callsign: SE-AG
OS: Debian GNU Linux

Re: Base package check failed

Postby Hooray » Thu Feb 07, 2013 6:38 pm

AndersG wrote:did you build the "master" branches of SG and FG? They are old (and I don't know why we keep them).

Tim's original idea was this:
[Flightgear-devel] the master branch
Tim wrote:In my git repositories on gitorious, http://gitorious.org/fg, I've been keeping
"master" branches that are supposed to be stable; the intent is for them to
be a kind of rolling release candidate that could be turned into a release
in short order.


And just today, the idea got possibly revived:
[Flightgear-devel] Point release experiment
Zakalawe wrote:Many people have observed that FlightGear hits maximum quality in the weeks
immediately following a release, since we have the maximum amount of feedback
and testing from users. (And since most people don't look at RC builds until
the are called final - though at least on Mac that's somewhat better this time
around).

Since the Mac release process is now 100% automated, I intend to try an
experiment - once 2.10.0 is completely done, I'll cherry pick any commits I
judge to be bug-fixes, or 100% safe improvements (such as Stuart's
aforementioned fix) to the release branch, to become a 2.10.1, and potentially
2.10.2 and so on.

This is not an official plan, or a formal change to release plan, which I think
works pretty well - and it's not something I want to commit too - I'm just
curious what quality level could be achieved during the life-time of 2.10.0, by
attempting this. If I get it completely wrong, and make a mess of the branch,
it won't matter since we could always re-branch from the 2.10.0 tag.

Regards,
James
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 12059
Joined: Tue Mar 25, 2008 8:40 am

Re: Base package check failed

Postby jam007 » Thu Feb 07, 2013 6:42 pm

I have used sh download_and_compile.sh as I understand it it uses "next" as standard.
I decided to copy the only important change I have made (the Draken airplane) and deleted everything.
Right now running the script again..

Edit:
Just as I had posted:
Code: Select all
-- Installing: /home/andersm/flightgear/install/fgfs/bin/fgelev
-- Removed runtime path from "/home/andersm/flightgear/install/fgfs/bin/fgelev"
-- Installing: /home/andersm/flightgear/install/fgfs/bin/GPSsmooth
-- Installing: /home/andersm/flightgear/install/fgfs/bin/MIDGsmooth
-- Installing: /home/andersm/flightgear/install/fgfs/bin/UGsmooth
-- Installing: /home/andersm/flightgear/install/fgfs/bin/fgadmin
-- Installing: /home/andersm/flightgear/install/fgfs/share/man/man1/fgfs.1
-- Installing: /home/andersm/flightgear/install/fgfs/share/man/man1/fgjs.1
-- Installing: /home/andersm/flightgear/install/fgfs/share/man/man1/fgpanel.1
-- Installing: /home/andersm/flightgear/install/fgfs/share/man/man1/gl-info.1
-- Installing: /home/andersm/flightgear/install/fgfs/share/man/man1/js_demo.1
-- Installing: /home/andersm/flightgear/install/fgfs/share/man/man1/terrasync.1
Cloning into 'fgdata'...
remote: Counting objects: 204620, done.
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed
jam007
 
Posts: 476
Joined: Sun Dec 16, 2012 10:04 am
Location: Uppsala, Sweden
Version: 2017.3.1
OS: Ubuntu 16.04

Re: Base package check failed

Postby Hooray » Thu Feb 07, 2013 6:47 pm

building from scratch and EVEN cloning fgdata afresh ??
Too much time on your hands ? :lol: :lol: :lol:

When configuring SG, it should say: -- version is 2 dot 11 dot 0
When configuring FG, it should say: -- found SimGear version: 2.11.0 (needed 2.11.0)
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 12059
Joined: Tue Mar 25, 2008 8:40 am

Re: Base package check failed

Postby jam007 » Thu Feb 07, 2013 6:53 pm

Computer time is cheap.
Frustration is not.
That was the plan at least...
jam007
 
Posts: 476
Joined: Sun Dec 16, 2012 10:04 am
Location: Uppsala, Sweden
Version: 2017.3.1
OS: Ubuntu 16.04

Re: Base package check failed

Postby Hooray » Thu Feb 07, 2013 6:55 pm

yes, but gitorious *sucks* (almost as much as our huge fgdata repository that consists of binary data mostly) usually takes ages to clone fgdata.
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 12059
Joined: Tue Mar 25, 2008 8:40 am

Re: Base package check failed  

Postby jam007 » Thu Feb 07, 2013 8:28 pm

Now I got a working 2.11 :)
jam007
 
Posts: 476
Joined: Sun Dec 16, 2012 10:04 am
Location: Uppsala, Sweden
Version: 2017.3.1
OS: Ubuntu 16.04

Re: Base package check failed

Postby Hooray » Sun Feb 17, 2013 9:36 pm

Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 12059
Joined: Tue Mar 25, 2008 8:40 am

Re: Base package check failed

Postby F-JJTH » Sun Feb 17, 2013 11:57 pm

The solution is : cd /home/user/fgfs/install/fgfs/fgdata && git pull

Cheers,
Clément
User avatar
F-JJTH
 
Posts: 696
Joined: Fri Sep 09, 2011 11:02 am

Re: Base package check failed

Postby Hooray » Mon Feb 18, 2013 8:58 am

nope, it isn't ... we talked about updating previously, this seems to be a build system related issue seen by different people, including developers who regularly build from source. Keep in mind that the C++ code uses a wrong version number here, NOT the base package. So updating fgdata doesn't solve the problem.
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 12059
Joined: Tue Mar 25, 2008 8:40 am

Re: Base package check failed

Postby F-JJTH » Mon Feb 18, 2013 9:27 am

Ah indeed, I've inversed the problem "fgfs 2.11.0 has detected an fgdata 2.9.0", instead of "fgfs 2.9.0 has detected an fgdata 2.11.0".
Sorry for the noise
User avatar
F-JJTH
 
Posts: 696
Joined: Fri Sep 09, 2011 11:02 am


Return to Compiling

Who is online

Users browsing this forum: No registered users and 1 guest